Subject: japanese plum

From: [email-masked]
Date: Fri, 15 Mar 1996 10:32:31 +0000

I need information of japanese plum, i`ll used for a proyect called:
"Phenology and yield`s evaluation of a collection of japanese plum 
in  Almería Coast. they are 10 cv. : Red Beaut, St. Rosa, Friar, 
Fortune, Simka, Black Beaut, Queen Rosa, Early Beaut, Ambra and Black 
Beaut.
 I interest in chilling requeriments and the conduct in subtropical 
climes. 

   e-mail: [email-masked]  

   Sorry, my english is`nt good.